
extern double Lots=1; 
extern int Profit=30; 
extern int Stop=20; 
extern int Slippage=5; 
extern string Symb="*"; 
extern string StartTime="06:00";
extern string CloseTime="22:00";
extern int MAGIC=77777;

datetime TimeStart;
double stoplevel,profitlevel;
string SMB;
bool trade=false;


//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init() {
	int i;
	if(Symb=="*") SMB=Symbol(); else SMB=Symb;
	return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit() {
	return(0);
}
//////////////////////////////////////////////////////////////////////
void CloseAll() {
	int total = OrdersTotal();
	for(int i=total-1;i>=0;i--) {
		OrderSelect(i, SELECT_BY_POS);
		if(OrderMagicNumber() == MAGIC) {
			int type = OrderType();
			
			bool result = false;
			
			switch(type) {
				case OP_BUY:
					result = OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_BID), 5, Red );
					break;
				case OP_SELL:
					result = OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_ASK), 5, Red );
					break;
			}
			if(result == false)	{
				Alert("Order " , OrderTicket() , " failed to close. Error:" , GetLastError() );
			}
		}
	}
}
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start() {
	int i,b,SL,BL;
	BL=b+50;
	
	TimeStart=StrToTime(StartTime);
	
	Comment(CurTime());
	
	if(CurTime()<TimeStart || CurTime()>TimeStart+300) { 
		trade=false; return(0); 
	}
	
	if(trade) return(0);
	
	datetime TimeClose = StrToTime(CloseTime);
	if(TimeCurrent() > TimeClose) {
		CloseAll();
		return(0);
	}
	
	if(((iClose(SMB,PERIOD_D1,1)+iHigh(SMB,PERIOD_D1,1 )+iLow(SMB,PERIOD_D1,1))/3)<iClose(SMB,PERIOD_D1,1)) b=OP_BUY ; 
	else b=OP_SELL;

	if(b==OP_BUY) {
		if(Stop==0) stoplevel=0; else stoplevel=MarketInfo(SMB,MODE_ASK)-Stop*MarketInfo(SMB,MODE_POINT);
		if(Profit==0) profitlevel=0; else profitlevel=MarketInfo(SMB,MODE_ASK)+Profit*MarketInfo(SMB,MODE_POINT);
		i=OrderSend(SMB,OP_BUY,Lots,MarketInfo(SMB,MODE_ASK),Slippage,stoplevel,profitlevel,NULL,MAGIC,0,Red );	
		if(i!=-1) trade=true;
	}
	if(b==OP_SELL) {
		if(Stop==0) stoplevel=0; else stoplevel=MarketInfo(SMB,MODE_BID)+Stop*MarketInfo (SMB,MODE_POINT);
		if(Profit==0) profitlevel=0; else profitlevel=MarketInfo(SMB,MODE_BID)-Profit*MarketInfo(SMB,MODE_POINT);
		i=OrderSend(SMB,OP_SELL,Lots,MarketInfo(SMB,MODE_BID),Slippage,stoplevel,profitlevel,NULL,MAGIC,0,Blue);
		if(i!=-1) trade=true;
	}
	return(0);
}

